package com.zhongshu.reward.server.core.dao;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.reward.server.core.domain.VipUserRecord;

import java.util.List;

/**
 * @author wjf
 * @date 2024/8/8
 */
public interface VipUserRecordDao extends MongoDao<VipUserRecord> {

    boolean existsByCpIdAndSucIn(String cpId, List<Integer> suc);
    VipUserRecord findTop1ByCpIdAndSucOrderByOperateTime(String cpId, Integer suc);

    VipUserRecord findTop1ByCpIdOrderByOperateTime(String cpId);
}
